# PolylineDashMaterialProperty

#### new Cesium.PolylineDashMaterialProperty(options)
DataSources/PolylineDashMaterialProperty.js 24

A `MaterialProperty` that maps to polyline dash `Material` uniforms.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | Color | `Color.WHITE` | optional A Property specifying the `Color` of the line.
`gapColor` | Property | Color | `Color.TRANSPARENT` | optional A Property specifying the `Color` of the gaps in the line.
`dashLength` | Property | Number | `16.0` | optional A numeric Property specifying the length of the dash pattern in pixels.
`dashPattern` | Property | Number | `255.0` | optional A numeric Property specifying a 16 bit pattern for the dash

### Members

#### color : Property|undefined
DataSources/PolylineDashMaterialProperty.js 79

Gets or sets the Property specifying the `Color` of the line.

#### dashLength : Property|undefined
DataSources/PolylineDashMaterialProperty.js 93

Gets or sets the numeric Property specifying the length of a dash cycle

#### dashPattern : Property|undefined
DataSources/PolylineDashMaterialProperty.js 100

Gets or sets the numeric Property specifying a dash pattern

#### readonly definitionChanged : Event
DataSources/PolylineDashMaterialProperty.js 69

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### gapColor : Property|undefined
DataSources/PolylineDashMaterialProperty.js 86

Gets or sets the Property specifying the `Color` of the gaps in the line.

#### readonly isConstant : Boolean
DataSources/PolylineDashMaterialProperty.js 51

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

### Methods

#### equals(other) → Boolean
DataSources/PolylineDashMaterialProperty.js 158

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/PolylineDashMaterialProperty.js 109

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/PolylineDashMaterialProperty.js 120

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.